"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.tsx
var src_exports = {};
__export(src_exports, {
  CAspectRatio: () => CAspectRatio,
  CBadge: () => CBadge,
  CBox: () => CBox,
  CCenter: () => CCenter,
  CCircle: () => CCircle,
  CContainer: () => CContainer,
  CDivider: () => CDivider,
  CFlex: () => CFlex,
  CGrid: () => CGrid,
  CGridItem: () => CGridItem,
  CHStack: () => CHStack,
  CHeading: () => CHeading,
  CKbd: () => CKbd,
  CLink: () => CLink,
  CLinkBox: () => CLinkBox,
  CLinkOverlay: () => CLinkOverlay,
  CList: () => CList,
  CListIcon: () => CListIcon,
  CListItem: () => CListItem,
  COrderedList: () => COrderedList,
  CSimpleGrid: () => CSimpleGrid,
  CSpacer: () => CSpacer,
  CSquare: () => CSquare,
  CStack: () => CStack,
  CStackDivider: () => CStackDivider,
  CStackItem: () => CStackItem,
  CText: () => CText,
  CUnorderedList: () => CUnorderedList,
  CVStack: () => CVStack,
  CWrap: () => CWrap,
  CWrapItem: () => CWrapItem,
  wrapProps: () => wrapProps
});
module.exports = __toCommonJS(src_exports);

// src/aspect-ratio.tsx
var import_vue = require("vue");
var import_utils = require("@chakra-ui/utils");
var import_vue_system = require("@chakra-ui/vue-system");
var import_vue2 = require("vue");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CAspectRatio = (0, import_vue2.defineComponent)({
  name: "CAspectRatio",
  props: {
    ratio: {
      type: [Number],
      default: 4 / 3
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
      "__label": "aspect-ratio",
      "position": "relative",
      "_before": {
        height: 0,
        content: `""`,
        display: "block",
        paddingBottom: (0, import_utils.mapResponsive)(props.ratio, (r) => `${1 / r * 100}%`)
      },
      "__css": {
        "& > *:not(style)": {
          overflow: "hidden",
          position: "absolute",
          top: "0",
          right: "0",
          bottom: "0",
          left: "0",
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          width: "100%",
          height: "100%"
        },
        "& > img, & > video": {
          objectFit: "cover"
        }
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/badge.tsx
var import_vue3 = require("vue");
var import_vue4 = require("vue");
var import_vue_system2 = require("@chakra-ui/vue-system");
var import_utils2 = require("@chakra-ui/utils");
var import_vue_utils = require("@chakra-ui/vue-utils");
function _isSlot2(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue3.isVNode)(s);
}
__name(_isSlot2, "_isSlot");
var CBadge = (0, import_vue4.defineComponent)({
  name: "CBadge",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    ...import_vue_utils.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue4.computed)(() => (0, import_utils2.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system2.useStyleConfig)("Badge", themingProps);
    return () => {
      return (0, import_vue3.createVNode)(import_vue_system2.chakra.div, (0, import_vue3.mergeProps)({
        "as": props.as,
        "__label": "badge",
        "__css": {
          display: "inline-block",
          whiteSpace: "nowrap",
          verticalAlign: "middle",
          ...styles.value
        }
      }, attrs), _isSlot2(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/box.tsx
var import_vue5 = require("vue");
var import_vue6 = require("vue");
var import_vue_system3 = require("@chakra-ui/vue-system");
function _isSlot3(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue5.isVNode)(s);
}
__name(_isSlot3, "_isSlot");
var CBox = (0, import_vue6.defineComponent)({
  name: "CBox",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue5.createVNode)(import_vue_system3.chakra.div, (0, import_vue5.mergeProps)({
      "as": props.as,
      "__label": "box"
    }, attrs), {
      default: () => {
        var _a;
        return (_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots);
      }
    });
  }
});
var CSquare = (0, import_vue6.defineComponent)({
  name: "CSquare",
  props: {
    size: [Object, String, Number],
    centerContent: {
      type: [Boolean],
      default: true
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue6.computed)(() => props.centerContent ? {
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    } : {});
    return () => (0, import_vue5.createVNode)(CBox, (0, import_vue5.mergeProps)({
      "__label": "square",
      "boxSize": props.size,
      "__css": {
        ...styles.value,
        flexShrink: 0,
        flexGrow: 0
      }
    }, attrs), _isSlot3(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CCircle = (0, import_vue6.defineComponent)({
  name: "CCircle",
  setup(_, {
    slots,
    attrs
  }) {
    return () => (0, import_vue5.createVNode)(CSquare, (0, import_vue5.mergeProps)({
      "__label": "circle",
      "borderRadius": "9999px"
    }, attrs), _isSlot3(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/center.tsx
var import_vue7 = require("vue");
var import_vue8 = require("vue");
var import_vue_system4 = require("@chakra-ui/vue-system");
function _isSlot4(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue7.isVNode)(s);
}
__name(_isSlot4, "_isSlot");
var CCenter = (0, import_vue8.defineComponent)({
  name: "CCenter",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      return (0, import_vue7.createVNode)(import_vue_system4.chakra.div, (0, import_vue7.mergeProps)({
        "__label": "center",
        "__css": {
          display: "flex",
          alignItems: "center",
          justifyContent: "center"
        }
      }, props, attrs), _isSlot4(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/container.tsx
var import_vue9 = require("vue");
var import_vue10 = require("vue");
var import_vue_system5 = require("@chakra-ui/vue-system");
var import_utils3 = require("@chakra-ui/utils");
var import_vue_utils2 = require("@chakra-ui/vue-utils");
function _isSlot5(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue9.isVNode)(s);
}
__name(_isSlot5, "_isSlot");
var CContainer = (0, import_vue10.defineComponent)({
  name: "CContainer",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    centerContent: {
      type: [Boolean]
    },
    ...import_vue_utils2.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue10.computed)(() => (0, import_utils3.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system5.useStyleConfig)("Container", themingProps);
    return () => (0, import_vue9.createVNode)(import_vue_system5.chakra.div, (0, import_vue9.mergeProps)({
      "__label": "container",
      "__css": {
        ...styles.value,
        ...props.centerContent && {
          display: "flex",
          flexDirection: "column",
          alignItems: "center"
        }
      }
    }, attrs), _isSlot5(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/divider.tsx
var import_vue11 = require("vue");
var import_vue12 = require("vue");
var import_vue_system6 = require("@chakra-ui/vue-system");
var import_utils4 = require("@chakra-ui/utils");
var import_vue_utils3 = require("@chakra-ui/vue-utils");
var CDivider = (0, import_vue12.defineComponent)({
  name: "CDivider",
  props: {
    orientation: {
      type: [String],
      default: "horizontal"
    },
    ...import_vue_utils3.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue12.computed)(() => (0, import_utils4.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig,
      orientation: props.orientation
    }));
    const styles = (0, import_vue_system6.useStyleConfig)("Divider", themingProps);
    const {
      borderLeftWidth,
      borderBottomWidth,
      borderTopWidth,
      borderRightWidth,
      borderWidth,
      borderStyle,
      borderColor,
      ...stylesRest
    } = styles.value;
    const dividerStyle = (0, import_vue12.computed)(() => {
      const dividerStyles = {
        vertical: {
          borderLeftWidth: borderLeftWidth || borderRightWidth || borderWidth || "1px",
          height: "100%"
        },
        horizontal: {
          borderBottomWidth: borderBottomWidth || borderTopWidth || borderWidth || "1px",
          width: "100%"
        }
      };
      return dividerStyles[props.orientation];
    });
    return () => (0, import_vue11.createVNode)(import_vue_system6.chakra.hr, {
      "aria-orientation": props.orientation,
      "__css": {
        ...stylesRest,
        border: 0,
        borderColor,
        borderStyle,
        ...dividerStyle.value
      },
      "__label": "divider"
    }, {
      default: () => {
        var _a;
        return [(_a = slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});

// src/flex.tsx
var import_vue13 = require("vue");
var import_vue14 = require("vue");
var import_vue_system7 = require("@chakra-ui/vue-system");
function _isSlot6(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue13.isVNode)(s);
}
__name(_isSlot6, "_isSlot");
var CFlex = (0, import_vue14.defineComponent)({
  name: "CFlex",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    align: [Object, String, Array],
    justify: [Object, String, Array],
    wrap: [Object, String, Array],
    direction: {
      type: [Object, String, Array],
      default: "row"
    },
    basis: [Object, String, Array],
    grow: [Object, String, Array],
    shrink: [Object, String, Array],
    size: String
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue14.reactive)({
      display: "flex",
      flexDirection: props.direction,
      alignItems: props.align,
      justifyContent: props.justify,
      flexWrap: props.wrap,
      flexBasis: props.basis,
      flexGrow: props.grow,
      flexShrink: props.shrink,
      h: props.size,
      w: props.size
    });
    return () => (0, import_vue13.createVNode)(import_vue_system7.chakra.div, (0, import_vue13.mergeProps)({
      "as": props.as,
      "__label": "flex",
      "__css": styles
    }, attrs), _isSlot6(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/grid.tsx
var import_vue15 = require("vue");
var import_vue16 = require("vue");
var import_vue_system8 = require("@chakra-ui/vue-system");
var import_utils5 = require("@chakra-ui/utils");
var import_vue_utils4 = require("@chakra-ui/vue-utils");
function _isSlot7(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue15.isVNode)(s);
}
__name(_isSlot7, "_isSlot");
var CGrid = (0, import_vue16.defineComponent)({
  name: "CGrid",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    },
    templateColumns: import_vue_utils4.SNAO,
    gap: import_vue_utils4.SNAO,
    rowGap: import_vue_utils4.SNAO,
    columnGap: import_vue_utils4.SNAO,
    autoFlow: import_vue_utils4.SNAO,
    autoRows: import_vue_utils4.SNAO,
    autoColumns: import_vue_utils4.SNAO,
    templateRows: import_vue_utils4.SNAO,
    templateAreas: import_vue_utils4.SNAO,
    area: import_vue_utils4.SNAO,
    column: import_vue_utils4.SNAO,
    row: import_vue_utils4.SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue16.computed)(() => (0, import_utils5.filterUndefined)({
      display: "grid",
      gridArea: props.area,
      gridTemplateAreas: props.templateAreas,
      gridGap: props.gap,
      gridRowGap: props.rowGap,
      gridColumnGap: props.columnGap,
      gridAutoColumns: props.autoColumns,
      gridColumn: props.column,
      gridRow: props.row,
      gridAutoFlow: props.autoFlow,
      gridAutoRows: props.autoRows,
      gridTemplateRows: props.templateRows,
      gridTemplateColumns: props.templateColumns
    }));
    return () => {
      return (0, import_vue15.createVNode)(import_vue_system8.chakra.div, (0, import_vue15.mergeProps)({
        "as": props.as,
        "__label": "grid",
        "__css": styles.value
      }, attrs), _isSlot7(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
function spanFn(span) {
  return (0, import_utils5.mapResponsive)(span, (value) => value === "auto" ? "auto" : `span ${value}/span ${value}`);
}
__name(spanFn, "spanFn");
var CGridItem = (0, import_vue16.defineComponent)({
  name: "CGridItem",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    },
    colSpan: import_vue_utils4.SNAO,
    colStart: import_vue_utils4.SNAO,
    colEnd: import_vue_utils4.SNAO,
    rowStart: import_vue_utils4.SNAO,
    rowEnd: import_vue_utils4.SNAO,
    rowSpan: import_vue_utils4.SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue16.computed)(() => (0, import_utils5.filterUndefined)({
      gridColumn: spanFn(props.colSpan),
      gridRow: spanFn(props.rowSpan),
      gridColumnStart: props.colStart,
      gridColumnEnd: props.colEnd,
      gridRowStart: props.rowStart,
      gridRowEnd: props.rowEnd
    }));
    return () => (0, import_vue15.createVNode)(import_vue_system8.chakra.div, (0, import_vue15.mergeProps)({
      "as": props.as,
      "__label": "grid__item",
      "__css": styles.value
    }, attrs), _isSlot7(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/heading.tsx
var import_vue17 = require("vue");
var import_vue_utils5 = require("@chakra-ui/vue-utils");
var import_vue_system9 = require("@chakra-ui/vue-system");
var import_vue18 = require("vue");
var import_utils6 = require("@chakra-ui/utils");
function _isSlot8(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue17.isVNode)(s);
}
__name(_isSlot8, "_isSlot");
var CHeading = (0, import_vue18.defineComponent)({
  name: "CHeading",
  props: {
    as: {
      type: [String, Object],
      default: "h2"
    },
    ...import_vue_utils5.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue18.computed)(() => (0, import_utils6.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system9.useStyleConfig)("Heading", themingProps);
    return () => (0, import_vue17.createVNode)(import_vue_system9.chakra.h2, (0, import_vue17.mergeProps)({
      "as": props.as,
      "__label": "heading",
      "__css": styles.value
    }, attrs), _isSlot8(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/stack.tsx
var import_vue19 = require("vue");
var import_vue20 = require("vue");
var import_vue_system10 = require("@chakra-ui/vue-system");

// src/stack.utils.ts
var import_utils7 = require("@chakra-ui/utils");
var selector = "& > *:not(style) ~ *:not(style)";
function getStackStyles(options) {
  const {
    spacing,
    direction
  } = options;
  const directionStyles = {
    column: {
      marginTop: spacing,
      marginEnd: 0,
      marginBottom: 0,
      marginStart: 0
    },
    row: {
      marginTop: 0,
      marginEnd: 0,
      marginBottom: 0,
      marginStart: spacing
    },
    "column-reverse": {
      marginTop: 0,
      marginEnd: 0,
      marginBottom: spacing,
      marginStart: 0
    },
    "row-reverse": {
      marginTop: 0,
      marginEnd: spacing,
      marginBottom: 0,
      marginStart: 0
    }
  };
  return {
    flexDirection: direction,
    [selector]: (0, import_utils7.mapResponsive)(direction, (value) => directionStyles[value])
  };
}
__name(getStackStyles, "getStackStyles");
function getDividerStyles(options) {
  const {
    spacing,
    direction
  } = options;
  const dividerStyles = {
    column: {
      my: spacing,
      mx: 0,
      borderLeftWidth: 0,
      borderBottomWidth: "1px"
    },
    "column-reverse": {
      my: spacing,
      mx: 0,
      borderLeftWidth: 0,
      borderBottomWidth: "1px"
    },
    row: {
      mx: spacing,
      my: 0,
      borderLeftWidth: "1px",
      borderBottomWidth: 0
    },
    "row-reverse": {
      mx: spacing,
      my: 0,
      borderLeftWidth: "1px",
      borderBottomWidth: 0
    }
  };
  return {
    "&": (0, import_utils7.mapResponsive)(direction, (value) => dividerStyles[value])
  };
}
__name(getDividerStyles, "getDividerStyles");

// src/stack.tsx
function _isSlot9(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue19.isVNode)(s);
}
__name(_isSlot9, "_isSlot");
var CStackDivider = (0, import_vue20.defineComponent)({
  name: "CStackDivider",
  inheritAttrs: false,
  setup(_, {
    attrs,
    slots
  }) {
    return () => {
      return (0, import_vue19.createVNode)(import_vue_system10.chakra.div, (0, import_vue19.mergeProps)({
        "__label": "stack__divider",
        "borderWidth": 0,
        "alignSelf": "stretch",
        "borderColor": "inherit",
        "width": "auto",
        "height": "auto"
      }, attrs), {
        default: () => {
          var _a;
          return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
        }
      });
    };
  }
});
var CStackItem = (0, import_vue20.defineComponent)({
  name: "CStackItem",
  setup(_, {
    attrs,
    slots
  }) {
    return () => (0, import_vue19.createVNode)(import_vue_system10.chakra.div, (0, import_vue19.mergeProps)({
      "__label": "stack__item",
      "display": "inline-block",
      "flex": "0 0 auto",
      "minWidth": "0"
    }, attrs), {
      default: () => {
        var _a;
        return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});
var stackProps = {
  as: {
    type: [Object, String],
    default: "div"
  },
  align: [String, Array, Object],
  justify: [String, Array, Object],
  wrap: [String, Array, Object],
  spacing: {
    type: [String, Array, Object, Number],
    default: "0.5rem"
  },
  direction: [String, Array, Object],
  divider: [Object, Boolean],
  shouldWrapChildren: [Boolean],
  isInline: [Boolean]
};
var CStack = (0, import_vue20.defineComponent)({
  name: "CStack",
  props: stackProps,
  setup(props, {
    slots,
    attrs
  }) {
    const direction = (0, import_vue20.computed)(() => {
      var _a;
      return props.isInline ? "row" : (_a = props.direction) != null ? _a : "column";
    });
    const styles = (0, import_vue20.computed)(() => getStackStyles({
      direction: direction.value,
      spacing: props.spacing
    }));
    const dividerStyle = (0, import_vue20.computed)(() => getDividerStyles({
      spacing: props.spacing,
      direction: direction.value
    }));
    const hasDivider = (0, import_vue20.computed)(() => !!props.divider);
    const shouldUseChildren = (0, import_vue20.computed)(() => !props.shouldWrapChildren && !hasDivider.value);
    return () => {
      var _a;
      const validChildren = (_a = slots.default) == null ? void 0 : _a.call(slots);
      const clones = shouldUseChildren.value ? validChildren : validChildren.map((child, index) => {
        const isLast = index + 1 === validChildren.length;
        const wrappedChild = (0, import_vue20.createVNode)(CStackItem, {
          key: index
        }, child);
        const _child = props.shouldWrapChildren ? wrappedChild : child;
        if (!hasDivider.value)
          return _child;
        const clonedDivider = (0, import_vue20.createVNode)(CStackDivider, {
          borderColor: "blue.200",
          __css: dividerStyle.value
        });
        const _divider = isLast ? null : clonedDivider;
        return (0, import_vue20.createVNode)(import_vue20.Fragment, {
          key: index
        }, [_child, _divider]);
      });
      return (0, import_vue19.createVNode)(import_vue_system10.chakra.div, (0, import_vue19.mergeProps)({
        "__label": "stack",
        "display": "flex",
        "alignItems": props.align,
        "justifyContent": props.justify,
        "flexDirection": styles.value.flexDirection,
        "flexWrap": props.wrap,
        "__css": hasDivider.value ? {} : {
          [selector]: styles.value[selector]
        }
      }, attrs), _isSlot9(clones) ? clones : {
        default: () => [clones]
      });
    };
  }
});
var CHStack = (0, import_vue20.defineComponent)({
  name: "CHStack",
  props: stackProps,
  setup(props, {
    attrs,
    slots
  }) {
    return () => (0, import_vue19.createVNode)(CStack, (0, import_vue19.mergeProps)({
      "__label": "stack-horizontal"
    }, props, attrs, {
      "direction": "row"
    }), {
      default: () => {
        var _a;
        return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});
var CVStack = (0, import_vue20.defineComponent)({
  name: "CVStack",
  props: stackProps,
  setup(props, {
    attrs,
    slots
  }) {
    return () => (0, import_vue19.createVNode)(CStack, (0, import_vue19.mergeProps)({
      "__label": "stack-vertical"
    }, props, attrs, {
      "direction": "column"
    }), {
      default: () => {
        var _a;
        return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});

// src/kbd.tsx
var import_vue21 = require("vue");
var import_vue_utils6 = require("@chakra-ui/vue-utils");
var import_vue_system11 = require("@chakra-ui/vue-system");
var import_vue22 = require("vue");
var import_utils8 = require("@chakra-ui/utils");
function _isSlot10(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue21.isVNode)(s);
}
__name(_isSlot10, "_isSlot");
var CKbd = (0, import_vue22.defineComponent)({
  name: "CKbd",
  props: {
    as: {
      type: [String, Object],
      default: "h2"
    },
    ...import_vue_utils6.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue22.computed)(() => (0, import_utils8.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system11.useStyleConfig)("Kbd", themingProps);
    return () => (0, import_vue21.createVNode)(import_vue_system11.chakra.kbd, (0, import_vue21.mergeProps)({
      "__label": "kbd",
      "__css": {
        fontFamily: "mono",
        ...styles.value
      }
    }, attrs), _isSlot10(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/link.tsx
var import_vue23 = require("vue");
var import_vue_utils7 = require("@chakra-ui/vue-utils");
var import_vue24 = require("vue");
var import_vue_system12 = require("@chakra-ui/vue-system");
var import_utils9 = require("@chakra-ui/utils");
function _isSlot11(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue23.isVNode)(s);
}
__name(_isSlot11, "_isSlot");
var CLink = (0, import_vue24.defineComponent)({
  name: "CLink",
  props: {
    as: {
      type: [Object, String],
      default: "a"
    },
    isExternal: Boolean,
    ...import_vue_utils7.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue24.computed)(() => (0, import_utils9.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system12.useStyleConfig)("Link", themingProps);
    return () => (0, import_vue23.createVNode)(import_vue_system12.chakra.a, (0, import_vue23.mergeProps)({
      "as": props.as,
      "__label": "link",
      "target": props.isExternal ? "_blank" : void 0,
      "rel": props.isExternal ? "noopener noreferrer" : void 0,
      "__css": styles.value
    }, attrs), _isSlot11(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/link-box.tsx
var import_vue25 = require("vue");
var import_vue26 = require("vue");
var import_vue_system13 = require("@chakra-ui/vue-system");
function _isSlot12(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue25.isVNode)(s);
}
__name(_isSlot12, "_isSlot");
var CLinkOverlay = (0, import_vue26.defineComponent)({
  name: "CLinkOverlay",
  props: {
    as: {
      type: [Object, String],
      default: "a"
    },
    isExternal: Boolean
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue25.createVNode)(import_vue_system13.chakra.div, (0, import_vue25.mergeProps)({
      "as": props.as,
      "__label": "linkbox__overlay",
      "rel": props.isExternal ? "noopener noreferrer" : void 0,
      "target": props.isExternal ? "_blank" : void 0,
      "__css": {
        position: "static",
        "&::before": {
          content: "''",
          cursor: "inherit",
          display: "block",
          position: "absolute",
          top: 0,
          left: 0,
          zIndex: 0,
          width: "100%",
          height: "100%"
        }
      }
    }, attrs), _isSlot12(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CLinkBox = (0, import_vue26.defineComponent)({
  name: "CLinkBox",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      return (0, import_vue25.createVNode)(import_vue_system13.chakra.div, (0, import_vue25.mergeProps)({
        "as": props.as,
        "__label": "linkbox",
        "position": "relative",
        "__css": {
          "a[href]:not(.chakra-linkbox__overlay), abbr[title]": {
            position: "relative",
            zIndex: 1
          }
        }
      }, attrs), _isSlot12(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/list.tsx
var import_vue27 = require("vue");
var import_c_icon = require("@chakra-ui/c-icon");
var import_vue_system14 = require("@chakra-ui/vue-system");
var import_vue28 = require("vue");
var import_vue_system15 = require("@chakra-ui/vue-system");
var import_vue_utils8 = require("@chakra-ui/vue-utils");
function _isSlot13(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue27.isVNode)(s);
}
__name(_isSlot13, "_isSlot");
var CList = (0, import_vue28.defineComponent)({
  name: "CList",
  props: {
    as: {
      type: [Object, String],
      default: "ul"
    },
    styleType: {
      type: import_vue_utils8.SAO,
      default: "none"
    },
    stylePosition: import_vue_utils8.SAO,
    spacing: import_vue_utils8.SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue_system14.useMultiStyleConfig)("List", props);
    (0, import_vue_system14.StylesProvider)(styles);
    const selector2 = "& > *:not(style) ~ *:not(style)";
    const spacingStyle = (0, import_vue28.computed)(() => props.spacing ? {
      [selector2]: {
        mt: props.spacing
      }
    } : {});
    return () => {
      const validChildren = /* @__PURE__ */ __name(() => (0, import_vue_utils8.getValidChildren)(slots), "validChildren");
      return (0, import_vue27.createVNode)(import_vue_system15.chakra.ul, (0, import_vue27.mergeProps)({
        "__label": "list",
        "as": props.as,
        "listStyleType": props.styleType,
        "listStylePosition": props.stylePosition,
        "role": "list",
        "__css": {
          ...styles.value.container,
          ...spacingStyle.value
        }
      }, attrs), _isSlot13(validChildren) ? validChildren : {
        default: () => [validChildren]
      });
    };
  }
});
var COrderedList = (0, import_vue28.defineComponent)({
  name: "COrderedList",
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue27.createVNode)(CList, (0, import_vue27.mergeProps)({
      "styleType": "decimal",
      "marginStart": "1em"
    }, attrs), _isSlot13(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CUnorderedList = (0, import_vue28.defineComponent)({
  name: "CUnorderedList",
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue27.createVNode)(CList, (0, import_vue27.mergeProps)({
      "styleType": "initial",
      "marginStart": "1em"
    }, attrs), _isSlot13(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CListItem = (0, import_vue28.defineComponent)({
  name: "CListItem",
  setup(_, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue_system14.useStyles)();
    return () => {
      return (0, import_vue27.createVNode)(import_vue_system15.chakra.li, (0, import_vue27.mergeProps)({
        "__label": "list__item",
        "__css": styles.value.item
      }, attrs), _isSlot13(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
var CListIcon = (0, import_vue28.defineComponent)({
  name: "CListIcon",
  setup(_, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue_system14.useStyles)();
    return () => {
      return (0, import_vue27.createVNode)(import_c_icon.CIcon, (0, import_vue27.mergeProps)({
        "role": "presentation"
      }, attrs, {
        "__css": styles.value.icon
      }), _isSlot13(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/simple-grid.tsx
var import_vue29 = require("vue");
var import_vue30 = require("vue");
var import_vue_utils9 = require("@chakra-ui/vue-utils");
var import_utils10 = require("@chakra-ui/utils");
function _isSlot14(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue29.isVNode)(s);
}
__name(_isSlot14, "_isSlot");
var CSimpleGrid = (0, import_vue30.defineComponent)({
  name: "CSimpleGrid",
  props: {
    as: {
      type: [Object, String],
      default: "ul"
    },
    minChildWidth: import_vue_utils9.SNAO,
    columns: import_vue_utils9.SNAO,
    spacing: import_vue_utils9.SNAO,
    spacingX: import_vue_utils9.SNAO,
    spacingY: import_vue_utils9.SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const templateColumns = (0, import_vue30.computed)(() => props.minChildWidth ? widthToColumns(props.minChildWidth) : countToColumns(props.columns));
    return () => (0, import_vue29.createVNode)(CGrid, (0, import_vue29.mergeProps)({
      "as": props.as,
      "__label": "simple-grid",
      "gap": props.spacing,
      "columnGap": props.spacingX,
      "rowGap": props.spacingY,
      "templateColumns": templateColumns.value
    }, attrs), _isSlot14(slots) ? slots : {
      default: () => [slots]
    });
  }
});
function toPx(n) {
  return (0, import_utils10.isNumber)(n) ? `${n}px` : n;
}
__name(toPx, "toPx");
function widthToColumns(width) {
  return (0, import_utils10.mapResponsive)(width, (value) => (0, import_utils10.isNull)(value) ? null : `repeat(auto-fit, minmax(${toPx(value)}, 1fr))`);
}
__name(widthToColumns, "widthToColumns");
function countToColumns(count) {
  return (0, import_utils10.mapResponsive)(count, (value) => (0, import_utils10.isNull)(value) ? null : `repeat(${value}, minmax(0, 1fr))`);
}
__name(countToColumns, "countToColumns");

// src/spacer.tsx
var import_vue31 = require("vue");
var import_vue_system16 = require("@chakra-ui/vue-system");
var import_vue32 = require("vue");
function _isSlot15(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue31.isVNode)(s);
}
__name(_isSlot15, "_isSlot");
var CSpacer = (0, import_vue32.defineComponent)({
  name: "CSpacer",
  setup(_, {
    slots
  }) {
    return () => {
      return (0, import_vue31.createVNode)(import_vue_system16.chakra.div, {
        "__label": "spacer",
        "baseStyle": {
          flex: 1,
          justifySelf: "stretch",
          alignSelf: "stretch"
        }
      }, _isSlot15(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/text.tsx
var import_vue33 = require("vue");
var import_utils11 = require("@chakra-ui/utils");
var import_vue_system17 = require("@chakra-ui/vue-system");
var import_vue_utils10 = require("@chakra-ui/vue-utils");
var import_vue34 = require("vue");
function _isSlot16(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue33.isVNode)(s);
}
__name(_isSlot16, "_isSlot");
var CText = (0, import_vue34.defineComponent)({
  name: "CText",
  props: {
    as: {
      type: [Object, String],
      default: "p"
    },
    align: import_vue_utils10.SNAO,
    decoration: import_vue_utils10.SNAO,
    casing: import_vue_utils10.SNAO,
    ...import_vue_utils10.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue34.computed)(() => (0, import_utils11.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system17.useStyleConfig)("Text", themingProps);
    const aliasedProps = (0, import_vue34.computed)(() => (0, import_utils11.filterUndefined)({
      textAlign: props.align,
      textDecoration: props.decoration,
      textTransform: props.casing
    }));
    return () => {
      return (0, import_vue33.createVNode)(import_vue_system17.chakra.p, (0, import_vue33.mergeProps)({
        "__label": "text"
      }, aliasedProps.value, {
        "__css": styles.value
      }, attrs), _isSlot16(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/wrap.tsx
var import_vue35 = require("vue");
var import_utils12 = require("@chakra-ui/utils");
var import_vue_system18 = require("@chakra-ui/vue-system");
var import_vue_utils11 = require("@chakra-ui/vue-utils");
var import_styled_system = require("@chakra-ui/styled-system");
var import_vue36 = require("vue");
function _isSlot17(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue35.isVNode)(s);
}
__name(_isSlot17, "_isSlot");
var wrapProps = {
  spacing: import_vue_utils11.SNAO,
  justify: import_vue_utils11.SNAO,
  align: import_vue_utils11.SNAO,
  direction: import_vue_utils11.SNAO,
  shouldWrapChildren: import_vue_utils11.SNAO
};
var CWrap = (0, import_vue36.defineComponent)({
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    ...wrapProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue36.computed)(() => ({
      "--chakra-wrap-spacing": (theme) => (0, import_utils12.mapResponsive)(props.spacing, (value) => (0, import_styled_system.tokenToCSSVar)("space", value)(theme)),
      "--wrap-spacing": "calc(var(--chakra-wrap-spacing) / 2)",
      display: "flex",
      flexWrap: "wrap",
      justifyContent: props.justify,
      alignItems: props.align,
      flexDirection: props.direction,
      listStyleType: "none",
      padding: "0",
      margin: "calc(var(--wrap-spacing) * -1)",
      "& > *:not(style)": {
        margin: "var(--wrap-spacing)"
      }
    }));
    const childrenToRender = props.shouldWrapChildren ? (0, import_vue_utils11.getValidChildren)(slots).map((child, index) => (0, import_vue35.createVNode)(CWrapItem, {
      "key": index
    }, _isSlot17(child) ? child : {
      default: () => [child]
    })) : slots;
    return () => {
      return (0, import_vue35.createVNode)(import_vue_system18.chakra.div, (0, import_vue35.mergeProps)({
        "as": props.as,
        "__label": "wrap"
      }, attrs), {
        default: () => (0, import_vue35.createVNode)(import_vue_system18.chakra.ul, {
          "__label": "wrap__list",
          "__css": styles.value
        }, _isSlot17(childrenToRender) ? childrenToRender : {
          default: () => [childrenToRender]
        })
      });
    };
  }
});
CWrap.name = "CWrap";
var CWrapItem = (0, import_vue36.defineComponent)({
  setup(_, {
    attrs,
    slots
  }) {
    return () => {
      return (0, import_vue35.createVNode)(import_vue_system18.chakra.li, (0, import_vue35.mergeProps)({
        "__label": "wrap__listItem",
        "__css": {
          display: "flex",
          alignItems: "flex-start"
        }
      }, attrs), {
        default: () => (0, import_vue_utils11.getValidChildren)(slots)
      });
    };
  }
});
CWrapItem.name = "CWrapItem";
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CAspectRatio,
  CBadge,
  CBox,
  CCenter,
  CCircle,
  CContainer,
  CDivider,
  CFlex,
  CGrid,
  CGridItem,
  CHStack,
  CHeading,
  CKbd,
  CLink,
  CLinkBox,
  CLinkOverlay,
  CList,
  CListIcon,
  CListItem,
  COrderedList,
  CSimpleGrid,
  CSpacer,
  CSquare,
  CStack,
  CStackDivider,
  CStackItem,
  CText,
  CUnorderedList,
  CVStack,
  CWrap,
  CWrapItem,
  wrapProps
});
